.required-mark{
  color:$red_primary;
  display: none;
}
.required-group{
  .required-mark{
    display: inline-block;
  }
}

.form{
  &-group{
    //padding-bottom:20px;
    padding-bottom:20px;
    margin-bottom:0;

    @media (min-width:768px){
      padding-bottom:30px;
    }
    &.last{
      margin:0;
    }

    .mm-yy{
      .form-control{
        display: inline-block;
        width:65px;
        &:not(:last-child){
          margin-right:10px;
        }

        @media (min-width:768px){
          width:90px;
        }
      }
    }

    &.field-invalid{
      //color:#dc3545;
      .form-control{
        border-color:#dc3545;
      }
    }

    &.field-validated{
      .form-control{
        border-color:#28a745;
      }
    }

    .input{
      &-group{
        .form{
          &-control{
            //border-right:0;
          }
        }

        &-prepend{
          .input{
            &-group{
              &-text{
                max-height:54px;
                border:0.12rem solid #8B8B8B;
                border-right:0;
                padding:5px 15px;
                font-size:20px;
                font-weight:700;
                border-radius:0.25rem 0 0 0.25rem;
                @media (min-width:768px){
                  border-width:0.15rem;
                }
              }
            }
          }
        }

        &-text{
          max-height:54px;
          border:0.12rem solid #8B8B8B;
          padding:7px 8px;
          border-radius:0 0.25rem 0.25rem 0;
          border-left:0;
          img{
            max-height:29px;
          }
        }
        @media (min-width:768px){
          &-prepend{
            .input{
              &-group{
                &-text{
                  border-radius:8px 0 0 8px;
                }
              }
            }
          }
          &-text{
            border-width:0.15rem;
            border-radius:0 8px 8px 0;
            img{
              max-height:42px;
            }
          }
        }
      }
    }

  }

  &-control{
    line-height: 1.7rem;
    border: 0.12rem solid #8B8B8B;
    border-radius: 6px;

    &.invalid, &.field-invalid{
      border-color:#dc3545;
    }

    &-label{
      font-size:16px;
      font-weight:500;
      margin-bottom:3px;
    }

    @media (min-width:768px){
      line-height: 2.2rem;
      border: 0.15rem solid #8B8B8B;
      border-radius: 8px;
      &-label{
        font-size: 18px;
      }
    }
  }

  //=== CHECKBOX STYLE
  &-check{
    padding-left:0;
    .check-container{
      display: block;
      position: relative;
      padding-left: 26px;
      cursor: pointer;
      -webkit-user-select: none;
      -moz-user-select: none;
      -ms-user-select: none;
      user-select: none;
      margin: 0;
      line-height: 1.2;
      font-weight: 600;
      font-size: 16px;
      //font-weight: 500;
      input{
        position: absolute;
        opacity: 0;
        cursor: pointer;
        height: 0;
        width: 0;
      }

      input:checked~.checkmark{
        background-color: $green_primary;
        border-color:$green_primary;
        &:after{
          display: block;
          //background-color: $color_primary;
        }
      }

      .checkmark{
        position: absolute;
        top: -1px;
        left: 0;
        height: 20px;
        width: 20px;
        /* background-color: #eee; */
        border: 2px solid #202020;
        border-radius: 0.2rem;
        //background-color: $color_primary_light;

        &:after{
          content: "";
          position: absolute;
          display: none;
          left: 6px;
          top: 2px;
          width: 5px;
          height: 10px;
          /* width: 5px; */
          border: solid #fff;
          border-width: 0 2px 2px 0;
          -webkit-transform: rotate(45deg);
          -ms-transform: rotate(45deg);
          transform: rotate(41deg);
        }

        &:hover{
          background-color: #f2f2f2;
        }
      }

      &:hover{
        .checkmark{
          background-color: #f2f2f2;
        }
        input~.checkmark{
          //background-color: #ccc;
        }
      }
    }
    &-input{

    }
  }
}

select.form-control:not([size]):not([multiple]){
  height:43px;
  position: relative;
  //background: transparent;
  z-index: 99;
  //-webkit-appearance: none;

  @media (min-width:768px){
    height:54px;
  }
}

.select-wrapper{
  position: relative;
  background-color: #fff;
  border-radius:8px;
  overflow: hidden;
  .drop-down-arrow{
    width: 50px;
    height: 100%;
    background-color: #d8d8d8;
    position: absolute;
    right: 0;
    top: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    border-left: 2px solid #AAAAAA;
  }
}

input{
  &[type=number]{
    -webkit-appearance: none;
  }
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

.error-message{
  position: absolute;
  font-size: 13px;
  line-height: 1.1;
  margin: 0;
  margin-top: 5px;

  @media (min-width:768px){
    font-size:15px;
  }
}
.radiobox{
  .error-message{
    display: none;
  }
  &.focused{
    .error-message{
      display: block;
    }
  }
}

.add-another-link{
  transition: 0.3s all linear;
  background: #505050;
  color: #fff;
  padding: 15px 15px 18px;
  border-radius: 12px;
  display: inline-block;
  margin-bottom: 25px;
  &:hover{
    color:#fff;
    background-color: #3C3C3C;
    text-decoration: underline;
    transition: 0.3s all linear;
  }
}

.sidebar-block{
  .error-message{
    display: none!important;
  }
  .form-group{
    .error-message{
      display: block!important;
    }
  }

  .voucher{
    &-block{
      .error-message{
        display:block!important;
        position: relative;
        padding-left: 15px;
        top: -8px;
      }
    }
  }
}

.person-close{
  background: red;
  color: #fff;
  border-radius: 12px;
  padding: 5px 10px;
  position: absolute;
  right: 0;
  z-index: 22;
  top: 13px;
  cursor: pointer;
}

.cart-table{
  position: relative;
  .error-message{
    padding-left:12px;
    margin-top:-22px;
  }
}